package com.simuwang.base.pojo.dos;

import com.simuwang.base.pojo.dto.ExcelDeletionInfoDTO;
import com.simuwang.base.pojo.vo.DeletionInfoVO;
import com.simuwang.base.pojo.vo.FundDeletionInfoVO;
import lombok.Data;

import java.util.Date;

/**
 * FileName: DeletionInfoDO
 * Author:   chenjianhua
 * Date:     2024/9/17 18:45
 * Description: ${DESCRIPTION}
 */
@Data
public class FundDeletionInfoDO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 缺失类型
     */
    private Integer deletionType;
    /**
     * 缺失日期
     */
    private String deletionDate;
    /**
     * 备注
     */
    private String remark;

    /**
     * 是否有效：0-无效，1-有效
     */
    private Integer isvalid;
    /**
     * 创建者Id
     */
    private Integer creatorId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改者Id
     */
    private Integer updaterId;
    /**
     * 更新时间
     */
    private Date updateTime;

    public FundDeletionInfoVO toVO() {
        FundDeletionInfoVO deletionInfoVO = new FundDeletionInfoVO();
        deletionInfoVO.setId(this.id);
        deletionInfoVO.setFundId(this.fundId);
        deletionInfoVO.setDeletionType(this.deletionType);
        deletionInfoVO.setDeletionDate(this.deletionDate);
        deletionInfoVO.setRemark(this.remark);
        return deletionInfoVO;
    }
}
